[PC-BSD Commits] r21277 - in pcbsd/current/src-sh: pc-extractoverlay pc-metapkgmanager port-files

svn at pcbsd.org svn at pcbsd.org
Thu Jan 31 13:03:21 PST 2013


Author: kris
Date: 2013-01-31 21:03:21 +0000 (Thu, 31 Jan 2013)
New Revision: 21277

Added:
   pcbsd/current/src-sh/pc-extractoverlay/prune-port-files
Removed:
   pcbsd/current/src-sh/pc-metapkgmanager/port-overlay/
   pcbsd/current/src-sh/pc-metapkgmanager/prune-files
Modified:
   pcbsd/current/src-sh/pc-extractoverlay/install.sh
   pcbsd/current/src-sh/pc-extractoverlay/pc-extractoverlay
   pcbsd/current/src-sh/pc-metapkgmanager/Makefile
   pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager
   pcbsd/current/src-sh/port-files/pkg-plist
Log:

Cleanup some cruft in pc-metapkgmanager, still working on getting it fully switched
over to pkgng, and changing how we detect / install packages



Modified: pcbsd/current/src-sh/pc-extractoverlay/install.sh
===================================================================
--- pcbsd/current/src-sh/pc-extractoverlay/install.sh	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/pc-extractoverlay/install.sh	2013-01-31 21:03:21 UTC (rev 21277)
@@ -16,6 +16,12 @@
   mkdir -p /usr/local/share/pcbsd/distfiles
 fi
 
+# Copy port prune list
+cp prune-port-files /usr/local/share/pcbsd/conf
+if [ $? -ne 0 ] ; then
+  exit 1
+fi
+
 # Copy exclude list
 cp port-excludes /usr/local/share/pcbsd/conf
 if [ $? -ne 0 ] ; then

Modified: pcbsd/current/src-sh/pc-extractoverlay/pc-extractoverlay
===================================================================
--- pcbsd/current/src-sh/pc-extractoverlay/pc-extractoverlay	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/pc-extractoverlay/pc-extractoverlay	2013-01-31 21:03:21 UTC (rev 21277)
@@ -1,13 +1,31 @@
 #!/bin/sh
 
+do_prune()
+{
+  PRUNEFILE="/usr/local/share/pcbsd/conf/prune-port-files"
+  if [ ! -e "$PRUNEFILE" ] ; then return; fi
+        
+  while read pLine
+  do
+     echo $pLine | grep -q "^#"
+     if [ $? -eq 0 ] ; then continue ; fi
+
+     ls ${_chroot}/$pLine >/dev/null 2>/dev/null
+     if [ $? -eq 0 ] ; then
+        echo "Pruning: $pLine"
+        rm ${_chroot}/${pLine}
+     fi
+  done <${PRUNEFILE}
+}
+
 do_ports_overlay()
 {
 
   distFile="/usr/local/share/pcbsd/distfiles/overlay.txz"
   excludeFile="/usr/local/share/pcbsd/conf/dist-excludes"
 
-  # Remove the following files
-  rm /usr/local/share/xsessions/*.desktop
+  # Cleanup any extra port cruft that doesn't place nice with PC-BSD
+  do_prune
 
   echo -e "Extracting ports overlay data...\c"
   cd /

Index: pcbsd/current/src-sh/pc-extractoverlay/prune-port-files
===================================================================
--- pcbsd/current/src-sh/pc-extractoverlay/prune-port-files	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/pc-extractoverlay/prune-port-files	2013-01-31 21:03:21 UTC (rev 21277)

Property changes on: pcbsd/current/src-sh/pc-extractoverlay/prune-port-files
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
Modified: pcbsd/current/src-sh/pc-metapkgmanager/Makefile
===================================================================
--- pcbsd/current/src-sh/pc-metapkgmanager/Makefile	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/pc-metapkgmanager/Makefile	2013-01-31 21:03:21 UTC (rev 21277)
@@ -33,8 +33,6 @@
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
 	-$(INSTALL_FILE) pc-metapkgmanager $(INSTALL_ROOT)/usr/local/bin/
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/pcbsd/metaconf/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/pcbsd/metaconf/
-	-$(INSTALL_FILE) prune-files $(INSTALL_ROOT)/usr/local/share/pcbsd/metaconf/
-	tar cvJf /usr/local/share/pcbsd/metaconf/overlay.txz -C port-overlay .	
 
 uninstall_scripts:  FORCE
 	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/bin/pc-metapkgmanager

Modified: pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager
===================================================================
--- pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager	2013-01-31 21:03:21 UTC (rev 21277)
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# Copyright 2012 Kris Moore (iXsystems)
+# Copyright 2013 Kris Moore (iXsystems)
 # All rights reserved
 #
 # Redistribution and use in source and binary forms, with or without
@@ -234,10 +234,8 @@
 	fi
 
 	# Prune any port files we dont want
-	do_prune
-
 	# Extract custom files
-	extract_overlay
+        pc-extractoverlay ports
 
 	echo "Finished Meta-Package: $_apkg"
 	
@@ -824,35 +822,6 @@
   rm /tmp/.pc-meta-sort.$$
 }
 
-do_prune()
-{
-  if [ ! -e "$PRUNEFILE" ] ; then return; fi
-
-  while read pLine
-  do
-     echo $pLine | grep -q "^#"
-     if [ $? -eq 0 ] ; then continue ; fi
-	
-     ls ${_chroot}/$pLine >/dev/null 2>/dev/null
-     if [ $? -eq 0 ] ; then
-	echo "Pruning: $pLine"
-        rm ${_chroot}/${pLine}
-     fi
-  done <${PRUNEFILE}
-}
-
-extract_overlay()
-{
-  if [ ! -e "$OVERLAYFILE" ] ; then return; fi
-  echo -e "Extracting overlay data...\c"
-  if [ -z "${_chroot}" ] ; then
-     tar xvpf ${OVERLAYFILE} -C / >/dev/null 2>/dev/null
-  else
-     tar xvpf ${OVERLAYFILE} -C ${_chroot} >/dev/null 2>/dev/null
-  fi
-  echo "Done!"
-}
-
 # Unset some vars
 _chroot=""
 _chrootcmd=""

Modified: pcbsd/current/src-sh/port-files/pkg-plist
===================================================================
--- pcbsd/current/src-sh/port-files/pkg-plist	2013-01-31 20:54:13 UTC (rev 21276)
+++ pcbsd/current/src-sh/port-files/pkg-plist	2013-01-31 21:03:21 UTC (rev 21277)
@@ -50,6 +50,7 @@
 share/warden/linux-installs/debian-6-squeeze
 share/warden/linux-installs/gentoo-stage3-i486
 share/pcbsd/conf/port-excludes
+share/pcbsd/conf/prune-port-files
 share/pcbsd/conf/desktop-excludes
 share/pcbsd/conf/server-excludes
 share/pcbsd/distfiles/desktop-overlay.txz
@@ -121,8 +122,6 @@
 share/pcbsd/de-profiles/xfce.profile
 share/pcbsd/pc-updatemanager/conf/sysupdate.conf
 share/pcbsd/pc-updatemanager/conf/security.key
-share/pcbsd/metaconf/prune-files
-share/pcbsd/metaconf/overlay.txz
 share/pcbsd/scripts/functions.sh
 share/pcbsd/scripts/mkzfsdir.sh
 share/pcbsd/scripts/reset-firewall



More information about the Commits mailing list